@import url('https://fonts.googleapis.com/css2?family=Alata&family=Josefin+Sans:ital,wght@0,100..700;1,100..700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root{
    --white: hsl(0, 0%, 100%);
    --Black: hsl(0, 0%, 0%);
    --Grey: hsl(0, 0%, 85%);
}
.header-container{
    width: 100%;
    height: 100vh;
    background-image: url(./images/desktop/image-hero.jpg);
    background-size: cover;
    padding: 4rem 8rem;
}
.header-nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--white);
}
.header-nav nav ul li{
    list-style: none;
    display: inline;
    margin-left: 1rem;
    position: relative;
}
.header-nav nav ul li::after{
    content: "";
    width: 0;
    height: 3px;
    background-color: var(--white);
    position: absolute;
    left: 0;
    right: 0;
    bottom: -1rem;
    margin: 0 auto;
    transition: all 0.4s ease-out;
}
.header-nav nav li:hover::after{
    width: 50%;
}
 .header-nav ul li a {
    color: var(--white);
    text-decoration: none;
    padding-bottom: 0.4rem;
}
.header-container h1{
    margin-top: 20%;
    color: var(--white);
    font-family: "Josefin Sans", sans-serif;
    font-weight: 300;
    font-size: 2.5rem;
    text-transform: uppercase;
    width: 40%;
    line-height: 3rem;
    border: 1px solid var(--white);
    padding: 2rem;
}
.main-container{
    padding: 4rem 8rem;
}
.about{
    display: flex;
    align-items: center;
}
.about-image,
.about-content{
    flex: 1;
}
.about-image img{
    width: 100%;
    object-fit: contain;
}
.about-content{
    background: var(--white);
    margin-left: -15%;
    padding: 3.5rem;
    margin-top: 9rem;
}
.about-content h2{
    font-family: "Josefin Sans", sans-serif;
    font-weight: 300;
    font-size: 3rem;
    text-transform: uppercase;
}
.about-content p{
    color: var(--Grey);
    font-family: "Alata",sans-serif;
    font-weight: 400;
    width: 80%;
    margin-top: 1.5rem;   
}
.gallery-header{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.gallery-header h2{
    font-family: "Josefin Sans",sans-serif;
    font-weight: 300;
    text-transform: uppercase;
    font-size: 2.5rem;
}
.gallery button{
    padding: 0.7rem, 3rem;
    background: var(--white);
    font-family: "Alata",sans-serif;
    font-weight: 400;
    text-transform: uppercase;
    cursor: pointer;
    border: 1px solid var(--Black);
}

.gallery-main{
    margin-top: 2.5rem;
    gap: 1rem;
    display: flex;
    flex-wrap: wrap;
}
.gallery-main div{
    height: 25rem;
    width: 23.7%;
    position: relative;
    color: var(--white);
}
 /* .gallery-main div:hover{
    color: var(--Black);
    opacity: 0.5; */
.gallery-main div:nth-child(1){
    background-image: url(./images/desktop/image-deep-earth.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
.gallery-main div:nth-child(2){
    background-image: url(./images/desktop/image-night-arcade.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
.gallery-main div:nth-child(3){
    background-image: url(./images/desktop/image-soccer-team.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
.gallery-main div:nth-child(4){
    background-image: url(./images/desktop/image-grid.jpg);
    background-repeat: no-repeat;
    background-size: cover;   
}
.gallery-main div:nth-child(5){
    background-image: url(./images/desktop/image-from-above.jpg);
    background-repeat: no-repeat;
    background-size: cover;    
}
.gallery-main div:nth-child(6){
    background-image: url(./images/desktop/image-pocket-borealis.jpg);
    background-repeat: no-repeat;
    background-size: cover;    
}.gallery-main div:nth-child(7){
    background-image: url(./images/desktop/image-curiosity.jpg);
    background-repeat: no-repeat;
    background-size: cover;    
}
.gallery-main div:nth-child(8){
    background-image: url(./images/desktop/image-fisheye.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
.gallery-main div p{
    position: absolute;
    bottom: 1.5rem;
    left: 1.5rem;
    font-family: "Alata",sans-serif;
    text-transform: uppercase;
    font-size: 1.3rem;
    width: 40%;
    z-index:99;
}
.gallery-main div::after{
    content: "";
    width: 0;
    height: 100%;
    background: rgba(255, 255, 255, 0.4);
    position: absolute;
    left: 0;
    transition: all 0.4s ease-out;
}
.gallery-main div:hover::after{
    width: 100%;
}
.gallery-main div:hover{
    color: var(--Black);
}
.footer-container{
    background: var(--Black);
    padding: 2rem 8rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--white);
}
.footer-left,.footer-right{
    display: flex;
    gap: 1.5rem;
    flex-direction: column;
}
.footer-left nav ul li{
    list-style: none;
    display: inline;
    margin-right: 1rem;
}
.footer-left nav ul li a{
    color: var(--white);
    text-decoration: none;
}
.footer-icons{
    display: flex;
    gap: 1rem;
}
.footer-icons img{
    cursor: pointer;
    transition: all 0.4s ease-out;
}
.footer-icons img:hover{
    transform: scale(1.4);
}
.icon-menu,.btn-edit,.mobile-content{
    display: none;
}
@media(min-width:601px)and(max-width:900px){
    .header-container{
        padding: 2rem 2.5rem;
    }
    .header-container h1{
        width: 90%;
    }
    .main-container{
        padding: 2rem 2.5rem;
    }
    .about{
        width: 100%;
    }
    .about-content{
        margin: -5%;
        margin-top: 20%;
        padding: 1rem;
    }
    .about-content h2{
        font-size: 1.5rem;
    }
    .about-content p{
        width: 100%;
        font-size: 0.9rem;
    }
}
@media(max-width:600px){
    body{
        position: relative;
    }
    .header-container{
        padding: 1.5rem 2rem;
        height: 100%;
        background-image: url(./images/mobile/image-hero.jpg);
    }
    .icon-menu{
        display: block;
    }
    .header-nav nav{
        /* display: none; */
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 999;
        background: var(--Black);
        padding: 2rem 2rem;
        transition: all 0.4s ease-out;
        transform: translateX(-100%);
    }
    .mobile-content{
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .header-nav nav ul{
        margin-top: 30%;
    }
    .header-nav nav ul li{
        display: block;
        margin: 1rem 0;
        text-transform: uppercase;
    }
    .header-nav nav ul li::after{
        display: none;
    }
    .header-nav nav ul li a{
        font-family: "Josefin san",sans-serif;
        font-size: 1.5rem;
    }
    .header-container h1{
        width: 100%;
        margin: 30% auto;
        font-size: 2.5rem;
        padding: 1rem;
    }
    .main-container{
        padding: 5rem 2rem;
    }
    .about{
        flex-direction: column;
        text-align: center;
        align-items: flex-start;
    }
    .about-image{
        width: 100%;
    }
    .about-content{
        width: 100%;
        margin: 0;
        margin-top: 2rem;
        padding: 0;
        text-align: center;
    }
    .about-content h2{
        font-size: 2rem;
        width: 100%;
    }
    .about-content p{
        width: 100%;
        margin-top: 1rem;
        margin-bottom: 3rem;
    }
    .gallery-header button{
        display: none;
    }
    .gallery-header h2{
        font-size: 2rem;
        text-align: center;
    }
    .gallery-main{
        flex-direction: column;
    }
    .gallery-main div{
        width: 100%;
        height: 8rem;
    }
    .gallery-main div:nth-child(1){
        background-image: url(./images/mobile/image-deep-earth.jpg);
    }
    .gallery-main div:nth-child(2){
        background-image: url(./images/mobile/image-night-arcade.jpg);
    }
    .gallery-main div:nth-child(3){
        background-image: url(./images/mobile/image-soccer-team.jpg);
    }
    .gallery-main div:nth-child(4){
        background-image: url(./images/mobile/image-grid.jpg);
    }
    .gallery-main div:nth-child(5){
        background-image: url(./images/mobile/image-from-above.jpg);
    }
    .gallery-main div:nth-child(6){
        background-image: url(./images/mobile/image-pocket-borealis.jpg);
    }
    .gallery-main div:nth-child(7){
        background-image: url(./images/mobile/image-curiosity.jpg);
    }
    .gallery-main div:nth-child(8){
        background-image: url(./images/mobile/image-fisheye.jpg);
    }
    .btn-edit{
        display: block;
        margin: 10% auto 5% auto;
    }
    .footer-container{
        flex-direction: column;
        padding: 2rem 2rem;
    }
    .footer-left{
        align-items: center;
        gap: 0;
    }
    .footer-left nav ul li{
        display: block;
        margin: 1.5rem 0;
    }
    .footer-right{
        align-items: center;
    }
    
}